#!/bin/sh
# \
exec tclsh "$0" "$@"

package require doctools

set src_dir		[file dirname [info script]]
set src_file	[file join $src_dir "tclmilter.man"]
set dst_man		"[file rootname $src_file].n"
set dst_html	"[file rootname $src_file].html"

set fh_in		[open $src_file r]
set src_data	[read $fh_in]
close $fh_in

doctools::new conv -format html

set fh_out		[open $dst_html w]
puts $fh_out	[conv format $src_data]
close $fh_out

conv configure -format nroff

set fh_out		[open $dst_man w]
puts $fh_out	[conv format $src_data]
close $fh_out

